Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.aggregates
Class RowRecordsAggregate

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.aggregates.RecordAggregate
              org.apache.poi.hssf.record.aggregates.RowRecordsAggregate

    public final class RowRecordsAggregate

extends RecordAggregate

Author:
  andy, Jason Height (jheight at chariot dot net dot au)

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hssf.record.aggregates.RecordAggregate
`RecordAggregate.PositionTrackingVisitor, RecordAggregate.RecordVisitor`

Constructor Summary
`RowRecordsAggregate()` Creates a new instance of ValueRecordsAggregate
`RowRecordsAggregate(RecordStream rs, SharedValueManager svm)`

Method Summary
`void` | `collapseRow(int rowNumber)`
`DimensionsRecord` | `createDimensions()`
`FormulaRecordAggregate` | `createFormula(int row, int col)`
`IndexRecord` | `createIndexRecord(int indexRecordOffset, int sizeOfInitialSheetRecords)`
`static RowRecord` | `createRow(int rowNumber)` Create a row record.
`void` | `expandRow(int rowNumber)`
`int` | `findEndOfRowOutlineGroup(int row)`
`int` | `findStartOfRowOutlineGroup(int row)`
`java.util.Iterator` | `getCellValueIterator()` Returns an iterator for the cell values
`int` | `getFirstRowNum()`
`java.util.Iterator` | `getIterator()`
`int` | `getLastRowNum()`
`int` | `getPhysicalNumberOfRows()`
`RowRecord` | `getRow(int rowIndex)`
`int` | `getRowBlockCount()` Returns the number of row blocks.
`int` | `getRowCountForBlock(int block)` Returns the number of physical rows within a block
`CellValueRecordInterface[]` | `getValueRecords()` Deprecated. use `getCellValueIterator()` instead
`void` | `insertCell(CellValueRecordInterface cvRec)`
`void` | `insertRow(RowRecord row)`
`boolean` | `isRowGroupCollapsed(int row)`
`boolean` | `isRowGroupHiddenByParent(int row)`
`void` | `removeCell(CellValueRecordInterface cvRec)`
`void` | `removeRow(RowRecord row)`
`void` | `updateFormulasAfterRowShift(FormulaShifter formulaShifter, int currentExternSheetIndex)`
`void` | `visitContainedRecords(RecordAggregate.RecordVisitor rv)` Visit each of the atomic BIFF records contained in this `RecordAggregate` in the order that they should be written to file.

Methods inherited from class org.apache.poi.hssf.record.aggregates.RecordAggregate
`getRecordSize, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowRecordsAggregate

    public RowRecordsAggregate()

  Creates a new instance of ValueRecordsAggregate

### RowRecordsAggregate

    public RowRecordsAggregate(RecordStream rs,
                               SharedValueManager svm)

Parameters:
  `rs` - record stream with all `SharedFormulaRecord` `ArrayRecord`, `TableRecord` `MergeCellsRecord` Records removed
  `svm` - an initialised `SharedValueManager` (from the shared formula, array and table records of the current sheet). Never `null`.

Method Detail

### insertRow

    public void insertRow(RowRecord row)

### removeRow

    public void removeRow(RowRecord row)

### getRow

    public RowRecord getRow(int rowIndex)

### getPhysicalNumberOfRows

    public int getPhysicalNumberOfRows()

### getFirstRowNum

    public int getFirstRowNum()

### getLastRowNum

    public int getLastRowNum()

### getRowBlockCount

    public int getRowBlockCount()

  Returns the number of row blocks.

  The row blocks are goupings of rows that contain the DBCell record after them

### getRowCountForBlock

    public int getRowCountForBlock(int block)

  Returns the number of physical rows within a block

### visitContainedRecords

    public void visitContainedRecords(RecordAggregate.RecordVisitor rv)

  Description copied from class: `RecordAggregate`
  Visit each of the atomic BIFF records contained in this `RecordAggregate` in the order that they should be written to file. Implementors may or may not return the actual `Record`s being used to manage POI's internal implementation. Callers should not assume either way, and therefore only attempt to modify those `Record`s after cloning

  Specified by:
    `visitContainedRecords` in class `RecordAggregate`

### getIterator

    public java.util.Iterator getIterator()

### findStartOfRowOutlineGroup

    public int findStartOfRowOutlineGroup(int row)

### findEndOfRowOutlineGroup

    public int findEndOfRowOutlineGroup(int row)

### collapseRow

    public void collapseRow(int rowNumber)

### createRow

    public static RowRecord createRow(int rowNumber)

  Create a row record.

  Parameters:
    `rowNumber` - row number
  Returns:
    RowRecord created for the passed in row number
  See Also:
    `RowRecord`

### isRowGroupCollapsed

    public boolean isRowGroupCollapsed(int row)

### expandRow

    public void expandRow(int rowNumber)

### isRowGroupHiddenByParent

    public boolean isRowGroupHiddenByParent(int row)

### getCellValueIterator

    public java.util.Iterator getCellValueIterator()

  Returns an iterator for the cell values

### getValueRecords

    public CellValueRecordInterface[] getValueRecords()

  Deprecated. use `getCellValueIterator()` instead

### createIndexRecord

    public IndexRecord createIndexRecord(int indexRecordOffset,
                                         int sizeOfInitialSheetRecords)

### insertCell

    public void insertCell(CellValueRecordInterface cvRec)

### removeCell

    public void removeCell(CellValueRecordInterface cvRec)

### createFormula

    public FormulaRecordAggregate createFormula(int row,
                                                int col)

### updateFormulasAfterRowShift

    public void updateFormulasAfterRowShift(FormulaShifter formulaShifter,
                                            int currentExternSheetIndex)

### createDimensions

    public DimensionsRecord createDimensions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD